CREATE TABLE users (
    tg_id BIGINT PRIMARY KEY ,
    zulip_id int,
    email VARCHAR(64),
    name VARCHAR(120)
);

CREATE TABLE states (
    id BIGINT PRIMARY KEY ,
    state int4 NOT NULL
);

CREATE TABLE IF NOT EXISTS last_message(
    id int PRIMARY KEY,
    last_id int
);

CREATE TABLE states_zulip(
    id int PRIMARY KEY ,
    state int4 NOT NULL
);

CREATE TABLE forwarding_zulip(
    id int ,
    channel_name VARCHAR(120),
    channel_id int ,
    topic_name VARCHAR(120)
);

CREATE TABLE forwarding_channels(
    zulip_channel_id int,
    zulip_topic_name VARCHAR(120),
    telegram_chat_id bigint,
    mode VARCHAR(8)
);
